question

Upvotes
Accepted
1 0 0 2

Does Reuters API supported Ubuntu OS? We are enable to compile on Ubuntu OS getting compile time error.

  1. I am trying to build example /upa8.0.0.L1.linux.rrg/Examples/rsslProvider, getting this error :
  • mkdir -p
  • mkdir: missing operand
  • Try `mkdir --help' for more information.
  • make: *** [rsslprovider] Error 1
elektronrefinitiv-realtimeelektron-sdkrrtema-apielektron-message-apierror
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvotes
Accepted
11.3k 25 8 13

According to README file of upa8.0.1.L1 and API Compatibility Matrix, the supported OS are:

  • Operating System: Red Hat Enterprise Linux Advanced Server version 6
  • Oracle Enterprise Linux version 6 & 7
  • CentOS version 7 (Qualification)

You may be able to run UPA application on Ubuntu OS, but all issues must be reproduced on one of the supported platforms.

The makefile of example normally identify the OS via lsb_release script, and then select libraries to compile. It is created for only support version, so it causes the error you found.

If you want to try the example on Ubuntu, you can add the following lines to force makefile to use OL7_64_GCC482 libraries.

makefile:

DIST=$(shell cat /etc/oracle-release)
DIST="Oracle" # add this line
ifeq ($(findstring Oracle,$(DIST)),Oracle) # check for Oracle Linux

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.